WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: unable to download compiletc extension for v13.1  (Read 1056 times)

Offline tcl_user5

  • Newbie
  • *
  • Posts: 33
unable to download compiletc extension for v13.1
« on: June 17, 2022, 08:44:50 AM »
I am unable to download compiletc extension from the TCL repo. On trying to download, the following error message is received.

"computed checksums did NOT match
Error on gcc.tcz"

I tried with alternative mirrors. The problem persists. This issue is being faced since last 5-6 days.

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 11150
Re: unable to download compiletc extension for v13.1
« Reply #1 on: June 17, 2022, 09:12:07 AM »
Hi tcl_user5
When reporting this type of error, you should mention the architecture in addition to the version.
Looking back at some of your older posts I take it you are referring to x86_64.

I just checked the md5 of  gcc  against the  .md5.txt  file and they match.

Remove all gcc files:
Code: [Select]
rm -f /etc/sysconfig/tcedir/optional/gcc.tcz*Try downloading  compiletc  again.

Offline tcl_user5

  • Newbie
  • *
  • Posts: 33
Re: unable to download compiletc extension for v13.1
« Reply #2 on: June 18, 2022, 12:23:48 AM »
Hi Rich,

Issue resolved by downloading afresh after removing the gcc files as mentioned by you.  Thanks.

What could be the reason for getting such an error message when the md5 match ? Could it be that the download got interrupted once due to some reason leaving some partially downloaded files on the machine?
« Last Edit: June 18, 2022, 04:02:25 AM by Rich »

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 11150
Re: unable to download compiletc extension for v13.1
« Reply #3 on: June 18, 2022, 04:13:29 AM »
Hi tcl_user5
A corrupted download could have caused that. One of the reasons for the  .md5.txt  file is to make
sure what you downloaded matches what is in the repository.